Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Class PropertiesInitialContextHandle

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.InitialContextHandle
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.PropertiesInitialContextHandle

All Implemented Interfaces:
  java.io.Serializable

public final class PropertiesInitialContextHandle
extends InitialContextHandle

An implementation of `InitialContextHandle` that reads a properties file from a configured URL for the environment.

Version:
  $Revision: 1.1 $
Author:
  Jason Dillon <jason@planet57.com>
See Also:
  Serialized Form

Inner Class Summary
`static class` | `PropertiesInitialContextHandle.Factory` A factory for producing `PropertiesInitialContextHandle` instance objects.

Constructor Summary
`PropertiesInitialContextHandle()` Construct a `PropertiesInitialContextHandle`.

Method Summary
`javax.naming.InitialContext` | `getInitialContext()` Get the initial context for this handle.

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.InitialContextHandle
`create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesInitialContextHandle

    public PropertiesInitialContextHandle()

  Construct a `PropertiesInitialContextHandle`.

Method Detail

### getInitialContext

    public javax.naming.InitialContext getInitialContext()
                                                  throws javax.naming.NamingException

  Get the initial context for this handle.
  Overrides:
    `getInitialContext` in class `InitialContextHandle`
  Returns:
    `InitialContext`.
  Throws:
    `javax.naming.NamingException` - Failed to create `InitialContext`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.